## objectList objectList — Gives storage for ids used by OpenGL lists. |

## Synopsis

    int                 openGLObjectList_new                (int size);

    void                openGLObjectList_init               ();

## Description

When using OpenGL list, one must specify ids. This module can return unused ids when needed.

## Details

### openGLObjectList_new ()

    int                 openGLObjectList_new                (int size);

It returns the id that can be used to link glObjectList. This number is also added to the list of glObjectList to be displayed. The size parameter is the number of lists that could be used by the user for this glObjectList. Then the next call to this function will return the last value plus the size plus one.

`size` : | the requested size.
Returns : | an identifier used by OpenGl as a list.

### openGLObjectList_init ()

    void                openGLObjectList_init               ();

Used to initialise this part of code, don't use it.